Skrypty i nowy silnik renderowania? Czyli wszystko co wiemy o Minecraft 1.15

Minecraft 1.14 jest już trochę z nami. Nie jest on stabilną oraz zoptymalizowaną wersją, jednak cały czas jest ona aktualizowana. W sumie to jest pierwsza wersja od dawna z ilością wersji poprawkowych większą od 2. Mimo tego prace nad 1.15 trwają, a informacje o zaplanowanych zmianach do nas docierają.

Pierwszą rzeczą, o której już pisaliśmy w jednym z poprzednich artykułów, jest nowy system walki. Będzie on kompromisem między aktualnym pvp, a tym z 1.8 i wersji poprzednich. Ma być ono szybsze i bardziej ekscytujące. Ma też wyrównać szanse między graczami wersji Bedrock Edition, którzy korzystają z komputerów, telefonów oraz konsol. Nowe pvp ma też być bardziej zróżnicowane oraz łatwiejsze dla nowych graczy. Według mnie może co najwyżej utworzyć 3 rozłam wśród graczy Minecraft’a.

Kolejna zmiana ma czekać aktualny silnik graficzny Minecraft’a. Blaze3d ma poprawić optymalizację gry oraz naprawić błędy typu niewidzialnej wody oraz cząsteczek. Dodatkowo Blaze3d będzie otwartoźródłowe, więc każdy kto będzie chciał (oraz umiał), będzie mógł użyć jej w własnej grze. Dodatkowo zmiany mogą pojawić się w menu gry, ale to nic potwierdzonego.

Niepotwierdzoną i prawdopodobnie upublicznioną przypadkowo możliwą nowością jest możliwość tworzenia własnych skryptów w Lua. Jeśli ktoś nie wie co to jest, to w skrócie Lua jest językiem skryptowym zaprojektowanym do rozszerzania funkcjonalności aplikacji. Język ten jest na przykład używany przez mody takie jak ComputerCraft oraz OpenComputers. Informację o tym dostaliśmy prawdopodobnie przez przypadek, gdy Searge pokazał błąd z renderowaniem na swoim Twitterze.

Jednak nie znamy jeszcze końcowego efektu. Wszystko co tutaj wypisaliśmy jest albo prototypem, albo przypadkowym wyciekiem. Dlatego w drodze do 1.15 może się jeszcze dużo zmienić.

1 komentarz na “Skrypty i nowy silnik renderowania? Czyli wszystko co wiemy o Minecraft 1.15

Dodaj komentarz

Twój adres email nie zostanie opublikowany. Pola, których wypełnienie jest wymagane, są oznaczone symbolem *